Skip to main content
PUT
/
api
/
v2
/
network
/
offers
/
{offer_id}
/
tracking-settings
Update tracking settings
curl --request PUT \
  --url https://{domain}/api/v2/network/offers/{offer_id}/tracking-settings \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "tracking_domain_id": 1,
  "fail_traffic_forwarding": 1,
  "offers_to_forward": 1,
  "custom_trafficback_url": "string",
  "deep_linking": 0
}
'
import requests

url = "https://{domain}/api/v2/network/offers/{offer_id}/tracking-settings"

payload = {
"tracking_domain_id": 1,
"fail_traffic_forwarding": 1,
"offers_to_forward": 1,
"custom_trafficback_url": "string",
"deep_linking": 0
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tracking_domain_id: 1,
fail_traffic_forwarding: 1,
offers_to_forward: 1,
custom_trafficback_url: 'string',
deep_linking: 0
})
};

fetch('https://{domain}/api/v2/network/offers/{offer_id}/tracking-settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "success",
  "code": 200,
  "name": "OK",
  "message": "<string>"
}
{
"message": "Request could not be parsed.",
"success": false,
"info": {
"errors": {}
}
}
{
"message": "API key is invalid or missing.",
"success": false
}
{
"message": "This endpoint is not available for your role.",
"success": false
}
{
"message": "Resource not found.",
"success": false
}
{
"message": "Validation error",
"success": false,
"info": {
"errors": {
"email": [
"Email cannot be blank."
],
"currency": [
"Currency must be a valid ISO code."
]
}
}
}
{
"message": "An unexpected error occurred.",
"success": false,
"info": {
"errors": {}
}
}

Authorizations

X-API-Key
string
header
required

Preferred authentication method. Pass the API key in the X-API-Key HTTP request header. The user account must have api_status enabled.

Path Parameters

offer_id
integer
required

Offer ID.

Body

application/json
tracking_domain_id
integer
fail_traffic_forwarding
integer

0=none, 1=forward to offer, 2=custom URL.

offers_to_forward
integer

Offer ID to forward to (when fail_traffic_forwarding=1).

custom_trafficback_url
string

Custom URL (when fail_traffic_forwarding=2).

deep_linking
enum<integer>
Available options:
0,
1
tracking_promo_codes
enum<integer>
Available options:
0,
1
hide_referer_url
enum<integer>
Available options:
0,
1
double_meta_redirect
enum<integer>
Available options:
0,
1
dont_allow_duplicate_clicks
enum<integer>
Available options:
0,
1
change_conversion_status_via_postback
enum<integer>
Available options:
0,
1
postback_whitelist_ips
string
postback_blacklist_ips
string
impressions_url
string
block_traffic
enum<integer>
Available options:
0,
1
block_traffic_vpn
enum<integer>
Available options:
0,
1
block_traffic_proxy
enum<integer>
Available options:
0,
1
block_traffic_bot
enum<integer>
Available options:
0,
1

Response

Tracking settings updated.

status
string
Example:

"success"

code
integer
Example:

200

name
string
Example:

"OK"

message
string